require "json"
require "selenium-webdriver"
require "rspec"
include RSpec::Expectations

describe "TestLogin" do

  before(:each) do
    @driver = Selenium::WebDriver.for :firefox
    @base_url = "https://www.katalon.com/"
    @accept_next_alert = true
    @driver.manage.timeouts.implicit_wait = 30
    @verification_errors = []
  end
  
  after(:each) do
    @driver.quit
    @verification_errors.should == []
  end
  
  it "test_login" do
    @driver.get "http://localhost:3000/people/sign_in"
    @driver.find_element(:id, "person_username").clear
    @driver.find_element(:id, "person_username").send_keys "coordinatorozo1"
    @driver.find_element(:id, "person_password").clear
    @driver.find_element(:id, "person_password").send_keys "MyPassword"
    @driver.find_element(:id, "new_person").submit
  end
  
  def element_present?(how, what)
    ${receiver}.find_element(how, what)
    true
  rescue Selenium::WebDriver::Error::NoSuchElementError
    false
  end
  
  def alert_present?()
    ${receiver}.switch_to.alert
    true
  rescue Selenium::WebDriver::Error::NoAlertPresentError
    false
  end
  
  def verify(&blk)
    yield
  rescue ExpectationNotMetError => ex
    @verification_errors << ex
  end
  
  def close_alert_and_get_its_text(how, what)
    alert = ${receiver}.switch_to().alert()
    alert_text = alert.text
    if (@accept_next_alert) then
      alert.accept()
    else
      alert.dismiss()
    end
    alert_text
  ensure
    @accept_next_alert = true
  end
end
